import { defineConfig, loadEnv } from 'vite'
import react from '@vitejs/plugin-react'

// https://vite.dev/config/
export default defineConfig(({ mode }) => {
  const env = loadEnv(mode, process.cwd(), "");

  return {
    plugins: [react()],
    define: {
      __VITE_API_BASE_URL__: env.VITE_API_BASE_URL
        ? JSON.stringify(env.VITE_API_BASE_URL)
        : "undefined",
    },
    css: {
      modules: {
        localsConvention: "camelCase",
      }
    },
  };
})
